MSGINIT(1)

NOME
msginit - inicialização de um catálogo de mensagens

SINOPSE
msginit [OPÇÃO]

DESCRIÇÃO

Cria um novo arquivo PO, inicializando as metainformações com valores do ambiente do usuário.

Argumentos obrigatórios para opções longas também o são para opções curtas.

  Local de arquivo de entrada:

-i, --input=ARQUIVO-ENTRADA
    arquivo POT de entrada

Se nenhum arquivo de entrada for fornecido, o diretório atual é pesquisado pelo arquivo POT. Se ele for -, a entrada padrão é lida.

  Local do arquivo de saída:

-o, --output-file=ARQUIVO
    escreve a saída para o arquivo PO especificado

Se nenhum arquivo de saída for especificado, o resultado dependerá da opção --locale ou da configuração de localidade do usuário. Se for -, os resultados serão escritos na saída padrão.

  Sintaxe do arquivo de entrada:

-P, --properties-input
    arquivo de entrada está na sintaxe de .properties do Java

--stringtable-input
    arquivo de entrada tem a sintaxe de .strings do NeXTstep/GNUstep

  Detalhes da saída:

-l, --locale=LL_CC[.CODIFIC]
    define a localidade alvo

--no-translator
    presume o arquivo PO como gerado automaticamente

--color
    usa sempre cores e outros atributos de atributos

--color=QUANDO
    usa cores e outros atributos de texto se QUANDO. QUANDO pode ser "always", "never", "auto" ou "html".

--style=ARQUIVO-ESTILO
    especifica arquivo de regras de estilo CSS para --color

-p, --properties-output
    escreve em arquivo .properties de Java

--stringtable-output
    escreve um arquivo .strings de NeXTstep/GNUstep

-w, --width=NÚMERO
    define a largura da página de saída

--no-wrap
    não quebra linhas de mensagens longas, maiores do que a largura da página de saída, em várias linhas

  Saída informativa:

-h, --help
    mostra esta ajuda e sai

-V, --version
    informa a versão e sai

AUTOR
Escrito por Bruno Haible.

RELATANDO PROBLEMAS
Relate erros no rastreador em <https://savannah.gnu.org/projects/gettext> ou por e-mail para <bug-gettext@gnu.org>. Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

DIREITOS AUTORAIS
Copyright © 2001-2025 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa de msginit está disponível como um manual Texinfo. Se os programas info e msginit estiverem instalados corretamente em seu sistema, o comando

    info msginit

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).